> ## Documentation Index
> Fetch the complete documentation index at: https://www.zinc.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Offers

> Retrieve product offers for a specific product

Get information about all the offers for a particular product, including seller name, item price, shipping price, condition, seller reputation, and more.


## OpenAPI

````yaml GET /v1/products/{product_id}/offers
openapi: 3.0.0
info:
  title: Zinc API
  version: 1.0.0
  description: API for placing orders and retrieving product data from top retailers.
servers:
  - url: https://api.zinc.io
    description: Production server
security:
  - basicAuth: []
paths:
  /v1/products/{product_id}/offers:
    get:
      summary: Product Offers
      description: Retrieve offers for a specific product.
      parameters:
        - name: product_id
          in: path
          required: true
          schema:
            type: string
          description: The retailer's unique identifier for a particular product
        - name: retailer
          in: query
          required: true
          schema:
            type: string
          description: >-
            The retailer for the product. See [Supported
            Retailers](/supported-retailers) for a list of supported retailers.
        - name: max_age
          in: query
          required: false
          schema:
            type: number
          description: >-
            A number in seconds setting the maximum age of the response. Cannot
            specify with `newer_than`.
        - name: newer_than
          in: query
          required: false
          schema:
            type: number
          description: >-
            A timestamp setting the minimum time the response should be
            retrieved from. Cannot specify with `max_age`.
        - name: async
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: >-
            Determines whether the resulting response will be asynchronous.
            Defaults to false.
      responses:
        '200':
          description: Product offers retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductOffersResponse'
components:
  schemas:
    ProductOffersResponse:
      type: object
      description: Response for product offers
      properties:
        status:
          type: string
          description: >-
            Status of the request. You will only see `processing` if `async:
            true` was set on the request
          enum:
            - processing
            - failed
            - completed
        retailer:
          type: string
          description: >-
            The retailer for the product. See [Supported
            Retailers](/supported-retailers) for a list of supported retailers.
        offers:
          type: array
          description: Array of offers for the product
          items:
            $ref: '#/components/schemas/ProductOffer'
    ProductOffer:
      type: object
      properties:
        addon:
          type: boolean
          description: >-
            Whether or not the product is an addon item that can only be
            purchased in a bundle
        condition:
          type: string
          description: The condition of the product
          enum:
            - New
            - Refurbished
            - Used - Like New
            - Used - Very Good
            - Used - Good
            - Used - Acceptable
            - Unacceptable
        handling_days:
          type: object
          properties:
            max:
              type: number
              description: The maximum number of days required for shipping and handling
            min:
              type: number
              description: The minimum number of days required for shipping and handling
        international:
          type: boolean
          description: Whether or not the product ships from outside of the United States
        offer_id:
          type: string
          description: >-
            (Amazon only). The unique identifier that identifies an item sold by
            any merchant on Amazon
        price:
          type: number
          description: The price of the item, not including shipping in cents.
        marketplace_fulfilled:
          type: boolean
          description: >-
            Whether or not the product ships direct from retailer. For Amazon,
            this indicates if the item is shipped with Prime shipping.
        seller:
          type: object
          properties:
            id:
              type: string
              description: The merchant's unique identifier for the product
            name:
              type: string
              description: The name of the seller of the current offer
            num_ratings:
              type: number
              description: The number of ratings that the seller has accumulated
            percent_positive:
              type: number
              description: >-
                Number between 0 and 100 denoting the percentage of positive
                ratings the seller has received
            first_party:
              type: boolean
              description: Whether the seller is first-party
        shipping_options:
          type: array
          items:
            type: object
            properties:
              price:
                type: number
                description: The cost to ship the item in cents
              delivery_days:
                type: object
                properties:
                  min:
                    type: number
                    description: >-
                      The minimum time in days it might take for the item to be
                      delivered
                  max:
                    type: number
                    description: >-
                      The maximum time in days it might take for the item to be
                      delivered
              name:
                type: string
                description: The name of the shipping option
        prime_only:
          type: boolean
          description: >-
            (Amazon only). Whether or not the product only ships using Amazon
            Prime
        member_only:
          type: boolean
          description: >-
            (Costco only) Whether or not the purchase must be from a Costco
            Member
        available:
          type: boolean
          description: Whether the offer is currently available
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your client token as the username. Leave the password blank.

````